Function
skipUntilLineBeginsWithStr
Skip input until a line begins with str.
skipUntilLineBeginsWithStr(RecordReader<TStream, TPass> & recordReader, TString const & str)
Include Headers
seqan/stream.h
Parameters

recordReader | The RecordReader to read from. Types: RecordReader
str | The string to look for, must begin with a char in isgraph

Remarks
This function skips lines, and then non-graphical chars (see isgraph) at the line beginnings,
until it finds a line where the first string beginning with graph-characters is equal to str.
It stops behaind the string.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
skipUntilLineBeginsWithChar, TokenizeResult, readLine
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59